PgSavepoint
Date: 2010-07-30

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.postgresql.pljava.internal
Class PgSavepoint

    java.lang.Object
      org.postgresql.pljava.internal.PgSavepoint

All Implemented Interfaces:
  java.sql.Savepoint

    public class PgSavepoint

extends java.lang.Object
implements java.sql.Savepoint

Method Summary
`boolean` | `equals(java.lang.Object o)`
`int` | `getSavepointId()`
`java.lang.String` | `getSavepointName()`
`int` | `hashCode()`
`void` | `onInvocationExit(java.sql.Connection conn)`
`void` | `release()`
`void` | `rollback()`
`static PgSavepoint` | `set(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### set

    public static PgSavepoint set(java.lang.String name)
                           throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### release

    public void release()
                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### rollback

    public void rollback()
                  throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getSavepointName

    public java.lang.String getSavepointName()
                                      throws java.sql.SQLException

  Specified by:
    `getSavepointName` in interface `java.sql.Savepoint`
  Throws:
    `java.sql.SQLException`

### getSavepointId

    public int getSavepointId()

  Specified by:
    `getSavepointId` in interface `java.sql.Savepoint`

### onInvocationExit

    public void onInvocationExit(java.sql.Connection conn)
                          throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003, 2004, 2005 TADA AB - Taby Sweden. \ Distributed under the terms shown in COPYRIGHT